### Method

# FwupdPlugin Firmware set_filename

#### Declaration [src]

    void
    fu_firmware_set_filename (
      FuFirmware* self,
      const gchar* filename
    )

#### Description [src]

Sets an optional filename that represents the image source or destination.

Available since: | 1.6.0

#### Parameters

`filename` | `const gchar*`
| A string filename.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.